ccw

Member
Apr 20, 2019
5
0
1
China
cPanel Access Level
Root Administrator
Hi,

I am checking the latest version of cPanel & WHM AMI on the Amazon EC2 Marketplace at AWS Marketplace: cPanel&WHM for Linux and have several questions:

1. Why it uses CentOS 7 while the latest version is CentOS 8?

2. Which PHP version does it uses?

3. Does it support auto-update of the cPanel/WHM, OS, and other software such as LAMP?
 
Last edited by a moderator:

cPRex

Jurassic Moderator
Staff member
Oct 19, 2014
7,441
1,004
313
cPanel Access Level
Root Administrator
Hey there! I'll just go through and answer these in order for you to avoid confusion:

Q1. Why it uses CentOS 7 while the latest version is CentOS 8?
A: CentOS 8 support ends in December of this year, so it's best to work with CentOS 7 at this point.

Q2. Which PHP version does it uses?
A: cPanel has many PHP versions available, from 5.4 to 8. You can find more details on that here: How to Locate and Install a PHP Version or Extension | cPanel & WHM Documentation

Q3. Does it support auto-update of the cPanel/WHM, OS, and other software such as LAMP?
A: Yes it does! There are updates for both the cPanel software and the operating system included by default. Details on how those get performed and the options available can be found here: Update Preferences | cPanel & WHM Documentation

Let me know if you need anything else!